Get an agent by ID
Server:
https://{kibana_url}
- GET /api/agent_builder/agents/{id}
- GET /s/{space_id}/api/agent_builder/agents/{id}
Refer to Spaces for more information.
Get a specific agent by ID. Use this endpoint to retrieve the complete agent definition including all configuration details and tool assignments. To learn more about agents, refer to the agents documentation.
[Required authorization] Route required privileges: agentBuilder:read.
Path Parameters
-
idstringrequired -
The unique identifier of the agent to retrieve.
Response
200
application/json
Indicates a successful response